Skip to main content
iThis API endpoint requires the standard version of Sonoran CAD or higher. For more information, see our pricing page.

Unit Location

POST https://api.sonorancad.com/emergency/unit_location The unit location API endpoint allows you to update a unit’s location from in-game.

Request Body

API ID

The apiId field contains a unique ID that every unit identifier must have specified in Sonoran CAD. Users can set this field in their identifier to properly map unit update API calls to their CAD identifier.

For more information, see our guide on setting your unit’s API ID:

Map Players to CAD Users

Rate Limiting

To avoid being rate limited when frequently updating multiple unit locations, it is best to group multiple unit location update together into the data array field. When compared to making a separate API call with every location update, grouping multiple location updates into a single call every few seconds is more efficient. NOTE: We recommend updating unit locations in a group no more frequently than every 5 seconds.